<?php
$t = 'Купить алмазы';
require_once '../wcore/core.php';
require_once '../wcore/head.php';
iank();

include_once 'sett.php';
include_once 'WapkassaClass.php';

echo '<center><div class="titles">Купить алмазы</div></center>';

echo '<style>.game { background: url("/img/game_bg/fuligonggao.png"); }</style>';

if (!empty($_GET['diamond']) && !empty($wk_cena_diamond[$_GET['diamond']])) {
    try {
        // Инициализация класса с id сайта и секретным ключом
        $wapkassa = new WapkassaClass(WK_ID, WK_SECRET);

        // основные параметры - сумма и комментарий платежа
        $wapkassa->setParams($wk_cena_diamond[$_GET['diamond']], 'ID '. $ank['id'] .' / User '. $ank['login']);

        // допольнительные параметры в виде массива, необязательно
        $wapkassa->setParamsAdd(array(
            'user_id' => $ank['id'],
            'type' => 'diamond',
            'count' => $_GET['diamond'],
        ));

        // получаем данные для генерации формы
        $formValue = $wapkassa->getValue();

        // генерируем форму
        echo '<form method="post" action="https://wapkassa.ru/merchant/payment2">';
        foreach ($formValue as $key => $value) {
            echo '<input type="hidden" name="' . $key . '" value="' . $value . '">';
        }
        echo '<br><center>Чтобы продолжить покупку нажмите "Далее"<br>';
        echo '<button class="button">Далее</button></center>';
        echo '</form>';
        require_once '../wcore/foot.php';
        exit;

    } catch (Exception $e) {
        // вывод ошибки
        echo $e->getMessage();
        require_once '../wcore/foot.php';
        exit;
    }
}

foreach ($wk_cena_diamond as $key => $value) {
    echo '<a href="/paywk/?diamond='. $key. '" class="buttons"><img src="/img/icons/504015.png" width="32px">'. $key .' алмазов <span style="float: right;padding: 3px 0;">'. $value .' руб.</span></a>';
}

require_once '../wcore/foot.php';
?>